package Logoved::Stream::Out::Listener::Repocop::posttest::brp;
use Moo;
with 'Logoved::Role::Stream::Out::Listener::Repocop::Polytest';

use	Logoved::Stream::Out::Listener::Repocop::posttest::brp::no_info_dir_entry;
use	Logoved::Stream::Out::Listener::Repocop::posttest::brp::verify_elf_lib_not_found;
use	Logoved::Stream::Out::Listener::Repocop::posttest::brp::verify_elf_non_lfs_functions;
use	Logoved::Stream::Out::Listener::Repocop::posttest::brp::verify_elf_out_of_tree;
use	Logoved::Stream::Out::Listener::Repocop::posttest::brp::verify_elf_rpath_illegal;
use	Logoved::Stream::Out::Listener::Repocop::posttest::brp::verify_elf_rpath;
use	Logoved::Stream::Out::Listener::Repocop::posttest::brp::verify_elf_stack_executable;
use	Logoved::Stream::Out::Listener::Repocop::posttest::brp::verify_elf_stack_not_found;
use	Logoved::Stream::Out::Listener::Repocop::posttest::brp::verify_elf_textrel;
use	Logoved::Stream::Out::Listener::Repocop::posttest::brp::verify_elf_undefined_symbol;
use	Logoved::Stream::Out::Listener::Repocop::posttest::brp::verify_elf_eu_elflint;

sub nested_test_classes {
    return qw/
	Logoved::Stream::Out::Listener::Repocop::posttest::brp::no_info_dir_entry
	Logoved::Stream::Out::Listener::Repocop::posttest::brp::verify_elf_lib_not_found
	Logoved::Stream::Out::Listener::Repocop::posttest::brp::verify_elf_non_lfs_functions
	Logoved::Stream::Out::Listener::Repocop::posttest::brp::verify_elf_out_of_tree
	Logoved::Stream::Out::Listener::Repocop::posttest::brp::verify_elf_rpath_illegal
	Logoved::Stream::Out::Listener::Repocop::posttest::brp::verify_elf_rpath
	Logoved::Stream::Out::Listener::Repocop::posttest::brp::verify_elf_stack_executable
	Logoved::Stream::Out::Listener::Repocop::posttest::brp::verify_elf_stack_not_found
	Logoved::Stream::Out::Listener::Repocop::posttest::brp::verify_elf_textrel
	Logoved::Stream::Out::Listener::Repocop::posttest::brp::verify_elf_undefined_symbol
	Logoved::Stream::Out::Listener::Repocop::posttest::brp::verify_elf_eu_elflint
	/;
}

sub subscribe_stream {
    my ($class, $stream)=@_;
    return $stream->section_type eq 'rpmbuild::install::brp';
}

1;
