package Logoved::Stream::Out::Listener::Repocop::posttest::brp::no_info_dir_entry;
use Moo;
with 'Logoved::Role::Stream::Out::Listener::Repocop::Test';

sub subscribe_stream {
    my ($class, $stream)=@_;
    return $stream->section_type eq 'rpmbuild::install::brp';
}

sub BUILD {
    my ($self)=shift;
    $self->status('experimental');
    $self->barename('no-info-dir-entry');
}

sub write {
    my ($self, $line)=@_;
    # install-info: warning: no info dir entry in `/usr/src/tmp/geomview-buildroot/usr/share/info/figs/ap.png.xz'
    if ($line=~/^install-info: warning: no info dir entry in /) {
	push @{$self->messages}, $line;
	return 1;
    }
    return 0;
}

1;
