package Logoved::Stream::Out::Listener::Repocop::posttest::brp::verify_elf_out_of_tree;
use Moo;
with 'Logoved::Role::Stream::Out::Listener::Repocop::Test';

sub subscribe_stream {
    my ($class, $stream)=@_;
    return $stream->section_type eq 'rpmbuild::install::brp';
}

sub write {
    my ($self, $line)=@_;
    # verify-elf: WARNING: ./usr/share/qemu/palcode-clipper: ELF object out of allowed directory tree
    if ($line=~/^verify-elf: WARNING: \.?[^\s:]+: ELF object out of allowed directory tree/) {
	push @{$self->messages}, $line;
	return 1;
    }
    return 0;
}

sub BUILD {
    my ($self)=shift;
    $self->status('info');
    $self->barename('verify-elf-out-of-tree');
}

1;
