package Logoved::Stream::Out::Listener::Repocop::posttest::brp::verify_elf_rpath;
use Moo;
with 'Logoved::Role::Stream::Out::Listener::Repocop::Test';

sub subscribe_stream {
    my ($class, $stream)=@_;
    return $stream->section_type eq 'rpmbuild::install::brp';
}

sub write {
    my ($self, $line)=@_;
    # verify-elf: WARNING: ./usr/bin/dd-grid.ex: RPATH entry found: /usr/lib/openmpi/lib
    if ($line=~/^verify-elf: WARNING: \.?[^\s:]+: RPATH entry found: /) {
	push @{$self->messages}, $line;
	return 1;

    # verify-elf: WARNING: ./usr/lib/openmpi-compat/lib/openmpi/mca_shmem_sysv.so: RPATH contains several entries: /usr/lib/openmpi-compat/lib/openmpi:/usr/lib/openmpi-compat/lib
    } elsif ($line=~/^verify-elf: WARNING: \.?[^\s:]+: RPATH contains several entries: /) {
	push @{$self->messages}, $line;
	return 1;
    }
    return 0;
}

sub BUILD {
    my ($self)=shift;
    $self->status('experimental');
    $self->barename('verify-elf-rpath');
}

1;
