package Logoved::Stream::Out::Listener::Repocop::posttest::brp::verify_elf_stack_not_found;
use Moo;
with 'Logoved::Role::Stream::Out::Listener::Repocop::Test';

sub subscribe_stream {
    my ($class, $stream)=@_;
    return $stream->section_type eq 'rpmbuild::install::brp';
}

sub write {
    my ($self, $line)=@_;
    # ignore:
    # verify-elf: WARNING: ./boot/vmlinux-2.6.32-ovz-el-alt162: STACK entry not found
    if ($line=~/^verify-elf: WARNING: \.?[^\s:]+: STACK entry not found/) {
	push @{$self->messages}, $line;
	return 1;
    }
    return 0;
}

sub BUILD {
    my ($self)=shift;
    $self->status('experimental');
    $self->barename('verify-elf-stack-not-found');
    $self->ignore(1);
}

1;
