package Logoved::Stream::Out::Listener::Repocop::posttest::brp::verify_elf_textrel;
use Moo;
with 'Logoved::Role::Stream::Out::Listener::Repocop::Test';

sub subscribe_stream {
    my ($class, $stream)=@_;
    return $stream->section_type eq 'rpmbuild::install::brp';
}

sub write {
    my ($self, $line)=@_;
    # verify-elf: WARNING: ./usr/lib/libnvidia-tls.so.340.107: TEXTREL entry found: 0x00000000
    if ($line=~/^verify-elf: WARNING: \.?[^\s:]+: TEXTREL entry found: /) {
	push @{$self->messages}, $line;
	return 1;
    }
    return 0;
}

sub BUILD {
    my ($self)=shift;
    $self->status('info');
    $self->barename('verify-elf-textrel');
}

1;
