package Logoved::Stream::Out::Listener::Repocop::posttest::brp::verify_elf_undefined_symbol;
use Moo;
with 'Logoved::Role::Stream::Out::Listener::Repocop::Test';

sub subscribe_stream {
    my ($class, $stream)=@_;
    return $stream->section_type eq 'rpmbuild::install::brp';
}

sub write {
    my ($self, $line)=@_;
    ## ^verify-elf: WARNING: ...so: undefined symbol: ...
    if ($line=~/^verify-elf: WARNING: \.?([^\s:]+): undefined symbol: (\S+)/) {
	push @{$self->messages}, "$1: $2\n";
	return 1;
    }
    return 0;
}

sub BUILD {
    my ($self)=shift;
    $self->status('info');
    $self->barename('verify-elf-undefined-symbol');
    $self->message_prefix('verify-elf: warning: undefined symbols found:'."\n");
}

1;
