package Logoved::Stream::Out::Listener::Repocop::posttest::deps_optimization::dependency_needs_epoch;
use Moo;
with 'Logoved::Role::Stream::Out::Listener::Repocop::Test';

sub subscribe_stream {
    my ($class, $stream)=@_;
    return $stream->section_type eq 'rpmbuild::deps_optimization';
}

sub write {
    my ($self, $line)=@_;
    # '^warning: [^ ]* dependency on [^ ]* needs Epoch'
    # warning: brazil-javadoc: dependency on brazil needs Epoch
    if ($line=~m!^warning: ([^ ]* dependency on [^ ]* needs Epoch)\s*$!) {
	push @{$self->messages}, "$1\n";
	return 1;
    }
    return 0;
}

sub BUILD {
    my ($self)=shift;
    $self->status('info');
    $self->barename('dependency-needs-epoch');
}

1;
