package Logoved::Stream::Out::Listener::Repocop::posttest::files;
use Moo;
with 'Logoved::Role::Stream::Out::Listener::Repocop::Polytest';

use	Logoved::Stream::Out::Listener::Repocop::posttest::files::libs_prov_no_symbols;
use	Logoved::Stream::Out::Listener::Repocop::posttest::files::doc_more_than_once;
use	Logoved::Stream::Out::Listener::Repocop::posttest::files::files_req_directory_belongs_to_other;
use	Logoved::Stream::Out::Listener::Repocop::posttest::files::lib_req_libraries_not_found;
use	Logoved::Stream::Out::Listener::Repocop::posttest::files::lib_req_not_yet_set_versioned;
use	Logoved::Stream::Out::Listener::Repocop::posttest::files::lib_req_overlinked_libraries;
use	Logoved::Stream::Out::Listener::Repocop::posttest::files::lib_req_underlinked_libraries;
use	Logoved::Stream::Out::Listener::Repocop::posttest::files::listed_twice;
use	Logoved::Stream::Out::Listener::Repocop::posttest::files::absolute_symlink;
use	Logoved::Stream::Out::Listener::Repocop::posttest::files::package_with_no_files_has_script;
use	Logoved::Stream::Out::Listener::Repocop::posttest::files::pkgconfiglib_req_cannot_find;
use	Logoved::Stream::Out::Listener::Repocop::posttest::files::provides_another_subpackage;
use	Logoved::Stream::Out::Listener::Repocop::posttest::files::shebang_req_script_is_not_executable;
use	Logoved::Stream::Out::Listener::Repocop::posttest::files::shebang_req_trailing_cr;
use	Logoved::Stream::Out::Listener::Repocop::posttest::files::symlinks_req_directory_not_owned;
use	Logoved::Stream::Out::Listener::Repocop::posttest::files::nodejs_req;
use	Logoved::Stream::Out::Listener::Repocop::posttest::files::erlang_req;
use	Logoved::Stream::Out::Listener::Repocop::posttest::files::cpp_req;
use	Logoved::Stream::Out::Listener::Repocop::posttest::files::set_version_hash_collision;
use	Logoved::Stream::Out::Listener::Repocop::posttest::files::misc;

sub nested_test_classes {
    return qw/
	Logoved::Stream::Out::Listener::Repocop::posttest::files::libs_prov_no_symbols
	Logoved::Stream::Out::Listener::Repocop::posttest::files::doc_more_than_once
	Logoved::Stream::Out::Listener::Repocop::posttest::files::files_req_directory_belongs_to_other
	Logoved::Stream::Out::Listener::Repocop::posttest::files::lib_req_libraries_not_found
	Logoved::Stream::Out::Listener::Repocop::posttest::files::lib_req_not_yet_set_versioned
	Logoved::Stream::Out::Listener::Repocop::posttest::files::lib_req_overlinked_libraries
	Logoved::Stream::Out::Listener::Repocop::posttest::files::lib_req_underlinked_libraries
	Logoved::Stream::Out::Listener::Repocop::posttest::files::absolute_symlink
	Logoved::Stream::Out::Listener::Repocop::posttest::files::listed_twice
	Logoved::Stream::Out::Listener::Repocop::posttest::files::package_with_no_files_has_script
	Logoved::Stream::Out::Listener::Repocop::posttest::files::pkgconfiglib_req_cannot_find
	Logoved::Stream::Out::Listener::Repocop::posttest::files::provides_another_subpackage
	Logoved::Stream::Out::Listener::Repocop::posttest::files::shebang_req_script_is_not_executable
	Logoved::Stream::Out::Listener::Repocop::posttest::files::shebang_req_trailing_cr
	Logoved::Stream::Out::Listener::Repocop::posttest::files::symlinks_req_directory_not_owned
	Logoved::Stream::Out::Listener::Repocop::posttest::files::nodejs_req
	Logoved::Stream::Out::Listener::Repocop::posttest::files::erlang_req
	Logoved::Stream::Out::Listener::Repocop::posttest::files::cpp_req
	Logoved::Stream::Out::Listener::Repocop::posttest::files::set_version_hash_collision
	Logoved::Stream::Out::Listener::Repocop::posttest::files::misc
	/;
}

sub subscribe_stream {
    my ($class, $stream)=@_;
    return $stream->section_type eq 'rpmbuild::files';
}

1;
