package Logoved::Stream::Out::Listener::Repocop::posttest::files::absolute_symlink;
use Moo;
with 'Logoved::Role::Stream::Out::Listener::Repocop::Test';

sub subscribe_stream {
    my ($class, $stream)=@_;
    return $stream->section_type eq 'rpmbuild::files::filelist_warnings';
}

# warning: File listed twice: /usr/bin/adscimg2cbf
sub write {
    my ($self, $line)=@_;
    if ($line=~s!^warning: absolute symlink: !!) {
	push @{$self->messages}, $line;
	return 1;
    }
    return 0;
}

sub BUILD {
    my ($self)=shift;
    $self->status('experimental');
    $self->message_prefix('warning: absolute symlink:'."\n");
    $self->barename('absolute-symlink');
}

1;
