package Logoved::Stream::Out::Listener::Repocop::posttest::files::cpp_req;
use Moo;
with 'Logoved::Role::Stream::Out::Listener::Repocop::Test';

sub subscribe_stream {
    my ($class, $stream)=@_;
    return $stream->section_type eq 'rpmbuild::files::find_requires';
}

sub write {
    my ($self, $line)=@_;
    if ($line=~m!^cpp.req: WARNING: .*: cpp failed!) {
	# cpp.req: WARNING: /usr/src/tmp/gmerlin-buildroot/usr/include/gmerlin/bg_sem.h: cpp failed
	push @{$self->messages}, $line;
	return 1;
    #} elsif ($line=~m!^/.*: error: missing !) {
    #} elsif ($line=~m!^/.*: error: #error !) {
    } elsif ($line=~m!^/.*: error: !) {
	#/usr/src/tmp/apache2-mod_perl-buildroot/usr/include/apache2/modperl_apache_compat.h:41:31: error: missing binary operator before token "("
	#/usr/src/tmp/allegro5.0-buildroot/usr/include/allegro5/platform/aliphone.h:2:5: error: #error bad include
	#/usr/src/tmp/CoinBuildTools-buildroot/usr/include/configall_system.h:12:3: error: #error "Trying to use configall_system for unknown compiler."
	# ignore
	return 1;
    }
    return 0;
}

sub BUILD {
    my ($self)=shift;
    $self->status('experimental');
    $self->barename('cpp-req');
    $self->ignore(1);
}

1;
