package Logoved::Stream::Out::Listener::Repocop::posttest::files::doc_more_than_once;
use Moo;
with 'Logoved::Role::Stream::Out::Listener::Repocop::Test';

sub subscribe_stream {
    my ($class, $stream)=@_;
    return $stream->section_type eq 'rpmbuild::files::doc';
}

sub write {
    my ($self, $line)=@_;
    # cp: warning: source file 'README' specified more than once
    # cp: warning: source directory 'Examples' specified more than once
    if ($line=~m!^cp: (warning: source (?:file|directory) .* specified more than once)\s*$!) {
	push @{$self->messages}, "%doc: $1\n";
	return 1;
    }
    return 0;
}

sub BUILD {
    my ($self)=shift;
    $self->status('info');
    $self->barename('doc-more-than-once');
}

1;
