package Logoved::Stream::Out::Listener::Repocop::posttest::files::lib_req_libraries_not_found;
use Moo;
with 'Logoved::Role::Stream::Out::Listener::Repocop::Test';

sub subscribe_stream {
    my ($class, $stream)=@_;
    return $stream->section_type eq 'rpmbuild::files::find_requires';
}

#octave-parallel-3.1.2-alt1:lib.req: WARNING: /usr/lib/octave/packages/parallel-3.1.2/i586-alt-linux-gnu-api-v52/parallel_generate_srp_data.oct: library liboctave.so.6 not found
#octave-parallel-3.1.2-alt1:lib.req: WARNING: /usr/lib/octave/packages/parallel-3.1.2/i586-alt-linux-gnu-api-v52/parallel_interface.oct: library liboctinterp.so.6 not found
sub write {
    my ($self, $line)=@_;
    if ($line=~m!^lib.req: WARNING: .*: library \S+ not found!) {
	push @{$self->messages}, $line;
	return 1;
    }
    return 0;
}

sub BUILD {
    my ($self)=shift;
    $self->status('experimental');
    #$self->status('info');
    $self->barename('lib-req-libraries-not-found');
}

1;
