package Logoved::Stream::Out::Listener::Repocop::posttest::files::package_with_no_files_has_script;
use Moo;
with 'Logoved::Role::Stream::Out::Listener::Repocop::Test';

sub subscribe_stream {
    my ($class, $stream)=@_;
    return $stream->section_type eq 'rpmbuild::files::processing';
}

sub write {
    my ($self, $line)=@_;
    #icewm-startup-grun-0.19-alt2:warning: package with no files has %preun-script
    #rpm-build-guestfs-0.2-alt6:warning: package with no files has %post-script
    #rpm-build-guestfs-0.2-alt6:error: cannot write /usr/src/tmp/rpm-build-guestfs-buildroot/.post:rpm-build-guestfs
if (
    $line=~/^warning: package with no files has \%\w+-script/ or
    $line=~m!^error: cannot write \S+-buildroot/\.!
    ) {
	push @{$self->messages}, $line;
	return 1;
    }
    return 0;
}

sub BUILD {
    my ($self)=shift;
    $self->status('info');
    #$self->status('experimental');
    $self->barename('package-with-no-files-has-script');
}

1;

__END__
