package Logoved::Stream::Out::Listener::Repocop::posttest::files::pkgconfiglib_req_cannot_find;
use Moo;
with 'Logoved::Role::Stream::Out::Listener::Repocop::Test';

sub subscribe_stream {
    my ($class, $stream)=@_;
    return $stream->section_type eq 'rpmbuild::files::find_requires';
}

sub write {
    my ($self, $line)=@_;
    if ($line=~m!^pkgconfiglib.req: WARNING: /.*: cannot find .* library path \(skip\)!) {
	push @{$self->messages}, $line;
	return 1;
    }
    return 0;
}

sub BUILD {
    my ($self)=shift;
    #$self->status('info');
    $self->status('experimental');
    $self->barename('pkgconfiglib-req-cannot-find');
}

1;

__END__
libksane4-15.08.2-alt1/rpmbuild::files::find_requires::libksane4-devel-15.08.2-alt1:pkgconfiglib.req: WARNING: /usr/src/tmp/libksane4-buildroot/usr/lib/pkgconfig/libksane.pc: cannot find -lksane library path (skip)
libkscreen-1.0.6-alt0.1/rpmbuild::files::find_requires::libkscreen-devel-1.0.6-alt0.1:pkgconfiglib.req: WARNING: /usr/src/tmp/libkscreen-buildroot/usr/lib/pkgconfig/kscreen.pc: cannot find -lkscreen library path (skip)
libmediawiki-1.0.0-alt9/rpmbuild::files::find_requires::libmediawiki-devel-1.0.0-alt9:pkgconfiglib.req: WARNING: /usr/src/tmp/libmediawiki-buildroot/usr/lib/pkgconfig/libmediawiki.pc: cannot find -lmediawiki library path (skip)
libqzeitgeist-0.8.0-alt1/rpmbuild::files::find_requires::libqzeitgeist-devel-0.8.0-alt1:pkgconfiglib.req: WARNING: /usr/src/tmp/libqzeitgeist-buildroot/usr/lib/pkgconfig/QZeitgeist.pc: cannot find -lQZeitgeist library path (skip)
libwxGTK3.1-sqlite3-4.0.3-alt1/rpmbuild::files::find_requires::libwxGTK3.1-sqlite3-devel-4.0.3-alt1:pkgconfiglib.req: WARNING: /usr/src/tmp/libwxGTK3.1-sqlite3-buildroot/usr/lib/pkgconfig/wxsqlite3-3.1.pc: cannot find -l@WXSQLITE3_LIBNAME@ library path (skip)
opensc-0.17.0-alt1/rpmbuild::files::find_requires::libopensc-devel-0.17.0-alt1:pkgconfiglib.req: WARNING: /usr/src/tmp/opensc-buildroot/usr/lib/pkgconfig/opensc-pkcs11.pc: cannot find -lopensc-pkcs11 library path (skip)
