package Logoved::Stream::Out::Listener::Repocop::posttest::files::provides_another_subpackage;
use Moo;
with 'Logoved::Role::Stream::Out::Listener::Repocop::Test';

sub subscribe_stream {
    my ($class, $stream)=@_;
    return $stream->section_type eq 'rpmbuild::files::processing';
}

#oprofile-0.9.9-alt3/rpmbuild::files::find_requires::liboprofile-devel-0.9.9-alt3:warning: liboprofile-devel provides another subpackage: liboprofile-devel-static
#palemoon-2:27.9.0-alt1/rpmbuild::files::find_requires::newmoon-base-27.9.0-alt1:warning: newmoon-base provides another subpackage: palemoon
#pam_8021x-0.0.20140107-alt1/rpmbuild::files::find_requires::pam0_8021x-0.0.20140107-alt1:warning: pam0_8021x provides another subpackage: pam_8021x
#pam_encfs-0.1.4.4-alt2/rpmbuild::files::find_requires::pam0_encfs-0.1.4.4-alt2:warning: pam0_encfs provides another subpackage: pam_encfs
#pcre-8.42-alt1/rpmbuild::files::find_requires::libpcre3-8.42-alt1:warning: libpcre3 provides another subpackage: pcre
#perl-1:5.26.2-alt1/rpmbuild::files::find_requires::perl-base-5.26.2-alt1:warning: perl-base provides another subpackage: perl
sub write {
    my ($self, $line)=@_;
    if ($line=~m!^warning: \S+ provides another subpackage: \S+!) {
	push @{$self->messages}, $line;
	return 1;
    }
    return 0;
}

sub BUILD {
    my ($self)=shift;
    $self->status('experimental');
    $self->barename('provides-another-subpackage');
}

1;
