package Logoved::Stream::Listener::Factory::Repocop;
use Moo;
#use Carp;
#use File::Basename;
#use File::Path qw(make_path remove_tree);
use Logoved::Stream::Out::Listener::Repocop::posttest::brp;
use Logoved::Stream::Out::Listener::Repocop::posttest::files;
use Logoved::Stream::Out::Listener::Repocop::posttest::deps_optimization;
use Logoved::Stream::Out::Listener::Repocop::posttest::multiply_packaged_files;
use Logoved::Stream::Out::Listener::Repocop::posttest::unpackaged_files_found;
extends 'Logoved::Stream::Listener::Factory';
#use Logoved::Stream::Out::Listener::Repocop::Receptor;
use Logoved::Stream::Out::Listener::Repocop::FileDump;

has 'receptor' => (is => 'rw');

sub get_listener_classes {
    return qw/
	Logoved::Stream::Out::Listener::Repocop::posttest::brp
	Logoved::Stream::Out::Listener::Repocop::posttest::files
	Logoved::Stream::Out::Listener::Repocop::posttest::deps_optimization
	Logoved::Stream::Out::Listener::Repocop::posttest::multiply_packaged_files
	Logoved::Stream::Out::Listener::Repocop::posttest::unpackaged_files_found
	/;
}

sub init_new_stream {
    my ($self,$stream)=@_;
    my $output_path=$self->get_global_arg('outfile');
    $self->receptor(Logoved::Stream::Out::Listener::Repocop::FileDump->new(
			outfile => $output_path, stream => $stream,
		    ));
}

sub done_new_stream {
    my ($self)=@_;
    $self->receptor->commit;
}

1;

__END__
