package Logoved::Stream::Out::Listener::Repocop::posttest::brp::verify_elf_eu_elflint;
use Moo;
with 'Logoved::Role::Stream::Out::Listener::Repocop::Test';

sub subscribe_stream {
    my ($class, $stream)=@_;
    return $stream->section_type eq 'rpmbuild::install::brp';
}

sub write {
    my ($self, $line)=@_;
    # verify-elf: WARNING: ./usr/bin/kapacitord: eu-elflint failed
    if ($line=~/^verify-elf: WARNING: \.?[^\s:]+: eu-elflint failed/) {
	push @{$self->messages}, $line;
	return 1;
    }
    return 0;
}

sub BUILD {
    my ($self)=shift;
    $self->status('experimental');
    $self->barename('verify-elf-eu-elflint');
}

1;
