package Logoved::Stream::Out::Listener::Repocop::posttest::brp::verify_elf_lib_not_found;
use Moo;
with 'Logoved::Role::Stream::Out::Listener::Repocop::Test';

sub subscribe_stream {
    my ($class, $stream)=@_;
    return $stream->section_type eq 'rpmbuild::install::brp';
}

sub write {
    my ($self, $line)=@_;
    # verify-elf: WARNING: ./usr/bin/qreal: not found: libqrkernel.so.1
    if ($line=~/^verify-elf: WARNING: \.?[^\s:]+: not found: /) {
	push @{$self->messages}, $line;
	return 1;
    }
    return 0;
}

sub BUILD {
    my ($self)=shift;
    $self->status('experimental');
    $self->barename('verify-elf-lib-not-found');
}

1;
