package Logoved::Stream::Out::Listener::Repocop::posttest::brp::verify_elf_non_lfs_functions;
use Moo;
with 'Logoved::Role::Stream::Out::Listener::Repocop::Test';

sub subscribe_stream {
    my ($class, $stream)=@_;
    return $stream->section_type eq 'rpmbuild::install::brp';
}

sub write {
    my ($self, $line)=@_;
    # verify-elf: WARNING: ./usr/lib/libzzipwrap-0-64.so.13.0.69: uses non-LFS functions: __fxstat __open_2 lseek
    if ($line=~/^verify-elf: WARNING: \.?[^\s:]+: uses non-LFS functions: /) {
	push @{$self->messages}, $line;
	return 1;
    }
    return 0;
}

sub BUILD {
    my ($self)=shift;
    $self->status('experimental');
    $self->barename('verify-elf-non-lfs-functions');
}

1;
