package Logoved::Stream::Out::Listener::Repocop::posttest::brp::verify_elf_rpath_illegal;
use Moo;
with 'Logoved::Role::Stream::Out::Listener::Repocop::Test';

sub subscribe_stream {
    my ($class, $stream)=@_;
    return $stream->section_type eq 'rpmbuild::install::brp';
}

sub write {
    my ($self, $line)=@_;
    if ($line=~/^verify-elf: WARNING: \.?[^\s:]+: RPATH contains illegal absolute entry /) {
	push @{$self->messages}, $line;
	return 1;
    }
    return 0;
}

sub BUILD {
    my ($self)=shift;
    $self->status('info');
    $self->barename('verify-elf-rpath-illegal');
}

1;
