package Logoved::Stream::Out::Listener::Repocop::posttest::brp::verify_elf_stack_executable;
use Moo;
with 'Logoved::Role::Stream::Out::Listener::Repocop::Test';

sub subscribe_stream {
    my ($class, $stream)=@_;
    return $stream->section_type eq 'rpmbuild::install::brp';
}

sub write {
    my ($self, $line)=@_;
    # verify-elf: WARNING: ./lib/mkinitrd/module-init-tools/sbin/modprobe: found executable STACK entry:   GNU_STACK      0x000000 0x00000000 0x00000000 0x00000 0x00000 RWE 0x10
    if ($line=~/^verify-elf: WARNING: \.?[^\s:]+: found executable STACK entry: /) {
	push @{$self->messages}, $line;
	return 1;
    }
    return 0;
}

sub BUILD {
    my ($self)=shift;
    $self->status('experimental');
    $self->barename('verify-elf-stack-executable');
}

1;
