package Logoved::Stream::Out::Listener::Repocop::posttest::deps_optimization::non_strict_dependency;
use Moo;
with 'Logoved::Role::Stream::Out::Listener::Repocop::Test';

sub subscribe_stream {
    my ($class, $stream)=@_;
    return $stream->section_type eq 'rpmbuild::deps_optimization';
}

sub BUILD {
    my ($self)=shift;
    $self->status('info');
    $self->barename('non-strict-dependency');
}

sub write {
    my ($self, $line)=@_;
    if ($line=~m!^warning: ([^\s:]+): non-strict dependency on (\S+)!) {
	push @{$self->messages}, "$1: non-strict dependency on $2\n";
	return 1;
    }
    return 0;
}

1;
