package Logoved::Stream::Out::Listener::Repocop::posttest::files::erlang_req;
use Moo;
with 'Logoved::Role::Stream::Out::Listener::Repocop::Test';

sub subscribe_stream {
    my ($class, $stream)=@_;
    return $stream->section_type eq 'rpmbuild::files::find_requires';
}

# WARNING: Can't read application file /usr/src/tmp/erlang-gettext-buildroot/usr/lib/erlang/lib/gettext-1.3.0/ebin/gettext.app
sub write {
    my ($self, $line)=@_;
    if ($line=~m!^WARNING: Can't read application file /usr/src/tmp/.*/usr/lib/erlang/.*\.app!) {
	push @{$self->messages}, $line;
	return 1;
    }
    return 0;
}

sub BUILD {
    my ($self)=shift;
    $self->status('experimental');
    #$self->status('info');
    $self->barename('erlang-req');
}

1;
