package Logoved::Stream::Out::Listener::Repocop::posttest::files::error_cant_write_script;
use Moo;
with 'Logoved::Role::Stream::Out::Listener::Repocop::Test';

sub subscribe_stream {
    my ($class, $stream)=@_;
    return $stream->section_type eq 'rpmbuild::files::filelist_warnings';
}

# error, but rpm does not stop, so this is warning
sub write {
    my ($self, $line)=@_;
    if ($line=~m!^error: cannot write /usr/src/tmp/.+-buildroot/\.\w+:\S+!) {
	push @{$self->messages}, $line;
	return 1;
    }
    return 0;
}

sub BUILD {
    my ($self)=shift;
    $self->status('experimental');
    $self->message_prefix("warning: rpm can't write %pre/%post..."."\n");
    $self->barename('rpm_error_cant_write_script');
}

1;
