package Logoved::Stream::Out::Listener::Repocop::posttest::files::files_req_directory_belongs_to_other;
use Moo;
with 'Logoved::Role::Stream::Out::Listener::Repocop::Test';

sub subscribe_stream {
    my ($class, $stream)=@_;
    return $stream->section_type eq 'rpmbuild::files::find_requires';
}

sub write {
    my ($self, $line)=@_;
    #files.req: WARNING: /usr/src/tmp/apache2-mod_revocator-buildroot/etc/httpd2/conf/mods-available: directory belongs to apache2-base
    if ($line=~m!^files.req: WARNING: /usr/src/tmp/apache2-mod_revocator-buildroot/etc/httpd2/conf/mods-available: directory belongs to apache2-base!) {
	push @{$self->messages}, $line;
	return 1;
    }
    return 0;
}

sub BUILD {
    my ($self)=shift;
    $self->status('warning');
    $self->barename('files-req-directory-belongs-to-other');
    $self->ignore(1);
}

1;
