package Logoved::Stream::Out::Listener::Repocop::posttest::files::lib_req_not_yet_set_versioned;
use Moo;
with 'Logoved::Role::Stream::Out::Listener::Repocop::Test';

sub subscribe_stream {
    my ($class, $stream)=@_;
    return $stream->section_type eq 'rpmbuild::files::find_requires';
}

#openchange-2.4-alt27.zentyal23.S1/rpmbuild::files::find_requires::libmapiproxy-2.4-alt27.zentyal23.S1:lib.req: WARNING: /usr/lib/samba-dc/libsamba-util.so.0 is not yet set-versioned

#error: file /usr/lib64/samba-dc/libdcerpc-server.so.0()(64bit): No such file or directory
#lib.req: WARNING: /usr/lib64/samba-dc/libdcerpc-server.so.0()(64bit) is not yet set-versioned

sub write {
    my ($self, $line)=@_;
    if ($line=~m!^lib.req: WARNING: \S+ is not yet set-versioned!) {
	push @{$self->messages}, $line;
	return 1;
    } elsif ($line=~m!^error: file /usr/lib64/.*\.so[\d\.]*\(\)\(64bit\): No such file or directory!) {
	# ignore satellite message
	return 1;
    }
    return 0;
}

sub BUILD {
    my ($self)=shift;
    $self->status('experimental');
    #$self->status('info');
    $self->barename('lib-req-not-yet-set-versioned');
}

1;
