package Logoved::Stream::Out::Listener::Repocop::posttest::files::lib_req_overlinked_libraries;
use Moo;
with 'Logoved::Role::Stream::Out::Listener::Repocop::Test';

sub subscribe_stream {
    my ($class, $stream)=@_;
    return $stream->section_type eq 'rpmbuild::files::find_requires';
}

# lib.req: WARNING: /usr/src/tmp/pbx-utils-buildroot/usr/sbin/zones2indications: overlinked libraries: /lib/libpthread.so.0
sub write {
    my ($self, $line)=@_;
    if ($line=~m!^lib.req: WARNING: .*: overlinked libraries: \S+!) {
	push @{$self->messages}, $line;
	return 1;
    }
    return 0;
}

sub BUILD {
    my ($self)=shift;
    #$self->status('experimental');
    $self->status('info');
    $self->barename('lib-req-underlinked-libraries');
}

1;
