package Logoved::Stream::Out::Listener::Repocop::posttest::files::libs_prov_no_symbols;
use Moo;
with 'Logoved::Role::Stream::Out::Listener::Repocop::Test';

sub subscribe_stream {
    my ($class, $stream)=@_;
    return $stream->section_type eq 'rpmbuild::files::find_provides';
}

sub write {
    my ($self, $line)=@_;
    # lib.prov: WARNING: /usr/src/tmp/glibc-buildroot/usr/lib64/libSegFault.so: no symbols
    if ($line=~m!^lib.prov: WARNING: /.*: no symbols!) {
	push @{$self->messages}, $line;
	return 1;
    }
    return 0;
}

sub BUILD {
    my ($self)=shift;
    $self->status('experimental');
    $self->barename('libs-prov-no-symbols');
}

1;
