package Logoved::Stream::Out::Listener::Repocop::posttest::files::nodejs_req;
use Moo;
with 'Logoved::Role::Stream::Out::Listener::Repocop::Test';

sub subscribe_stream {
    my ($class, $stream)=@_;
    return $stream->section_type eq 'rpmbuild::files::find_requires';
}

# WARNING: The nodejs(engine) dependency contains an OR (||) dependency: '>=0.6.11 <=0.7.0 || >=0.7.3.
# Please manually include a versioned dependency in your spec file if necessary
sub write {
    my ($self, $line)=@_;
    if ($line=~m!^WARNING: The .* dependency contains an OR \(\|\|\) dependency: !) {
	push @{$self->messages}, $line;
	return 1;
    }
    return 0;
}

sub BUILD {
    my ($self)=shift;
    #$self->status('experimental');
    $self->status('info');
    $self->barename('nodejs-req');
}

1;
