package Logoved::Stream::Out::Listener::Repocop::posttest::files::set_version_hash_collision;
use Moo;
with 'Logoved::Role::Stream::Out::Listener::Repocop::Test';

sub subscribe_stream {
    my ($class, $stream)=@_;
    return 1 if $stream->section_type eq 'rpmbuild::files::find_requires'
	     or $stream->section_type eq 'rpmbuild::files::find_provides';
    return 0;
}

sub write {
    my ($self, $line)=@_;
    # warning: hash collision: _ZN5boost16exception_detail10clone_implINS0_19error_info_injectorINS_16bad_lexical_castEEEED0Ev _ZN5boost6detail16thread_data_baseD2Ev
    if ($line=~m!^warning: hash collision: !) {
	push @{$self->messages}, $line;
	return 1;
    }
    return 0;
}

sub BUILD {
    my ($self)=shift;
    $self->status('experimental');
    $self->barename('set-version-hash-collision');
    $self->ignore(1);
}

1;
