package Logoved::Stream::Out::Listener::Repocop::posttest::files::shebang_req_script_is_not_executable;
use Moo;
with 'Logoved::Role::Stream::Out::Listener::Repocop::Test';

sub subscribe_stream {
    my ($class, $stream)=@_;
    return $stream->section_type eq 'rpmbuild::files::find_requires';
}

sub write {
    my ($self, $line)=@_;
    #shebang.req.files: executable script /usr/src/tmp/logoved-test-spec-1-buildroot/usr/bin/hi is not executable
    if ($line=~m!^shebang.req.files: executable script (/\S+) is not executable!) {
	my $script=$1;
	if ($script=~m!buildroot(?:/usr)?/(?:s?bin|games)/!) {
	    push @{$self->messages}, $line;
	}
	return 1;
    }
    return 0;
}

sub BUILD {
    my ($self)=shift;
    $self->status('info');
    #$self->status('experimental');
    $self->barename('shebang-req-script-is-not-executable');
}

1;

__END__
shebang.req.files: executable script /usr/src/tmp/logoved-test-spec-1-buildroot/usr/bin/hi is not executable
