package Logoved::Stream::Out::Listener::Repocop::posttest::files::shebang_req_trailing_cr;
use Moo;
with 'Logoved::Role::Stream::Out::Listener::Repocop::Test';

sub subscribe_stream {
    my ($class, $stream)=@_;
    return $stream->section_type eq 'rpmbuild::files::find_requires';
}

sub write {
    my ($self, $line)=@_;
    if ($line=~m!^shebang.req: WARNING: /.*: trailing \<CR\> in arguments: !) {
	push @{$self->messages}, $line;
	return 1;
    }
    return 0;
}

sub BUILD {
    my ($self)=shift;
    $self->status('info');
    #$self->status('experimental');
    $self->barename('shebang-req-trailing-cr');
}

1;

__END__
perl-Text-NSP-1.31-alt1/rpmbuild::files::find_requires::perl-Text-NSP-1.31-alt1:shebang.req: WARNING: /usr/src/tmp/perl-Text-NSP-buildroot/usr/bin/count.pl: trailing <CR> in arguments: #!/usr/bin/perl -w<CR>
perl-Tk-MListbox-1.11-alt2/rpmbuild::files::find_requires::perl-Tk-MListbox-1.11-alt2:shebang.req: WARNING: /usr/src/tmp/perl-Tk-MListbox-buildroot/usr/share/perl5/Tk/sql.pl: trailing <CR> in arguments: #!/usr/bin/perl -w<CR>
