package Logoved::Stream::Out::Listener::Repocop::posttest::files::symlink_destination_changed;
use Moo;
with 'Logoved::Role::Stream::Out::Listener::Repocop::Test';

sub subscribe_stream {
    my ($class, $stream)=@_;
    return $stream->section_type eq 'rpmbuild::files::filelist_warnings';
}

# warning: File listed twice: /usr/bin/adscimg2cbf
sub write {
    my ($self, $line)=@_;
    if ($line=~m!^warning: Symlink \S.* destination changed from .* to \S!) {
	push @{$self->messages}, $line;
	return 1;
    }
    return 0;
}

sub BUILD {
    my ($self)=shift;
    $self->status('experimental');
    $self->message_prefix('warning: Symlink destination changed'."\n");
    $self->barename('symlink-destination-changed');
}

1;
