package Logoved::Stream::Out::Listener::Repocop::posttest::files::symlinks_req_directory_not_owned;
use Moo;
with 'Logoved::Role::Stream::Out::Listener::Repocop::Test';

sub subscribe_stream {
    my ($class, $stream)=@_;
    return $stream->section_type eq 'rpmbuild::files::find_requires';
}

sub write {
    my ($self, $line)=@_;
    if ($line=~m!^symlinks.req: WARNING: /.*: directory /.* not owned by the package!) {
	push @{$self->messages}, $line;
	return 1;
    }
    return 0;
}

sub BUILD {
    my ($self)=shift;
    $self->status('info');
    $self->barename('symlinks-req-directory-not-owned');
}

1;
__END__
lv2-1.14.0-alt1_5/rpmbuild::files::find_requires::lv2-devel-1.14.0-alt1_5:symlinks.req: WARNING: /usr/src/tmp/lv2-buildroot/usr/include/lv2/lv2plug.in/ns/ext/worker: directory /usr/lib/lv2/worker.lv2 not owned by the package
monit-5.25.2-alt1/rpmbuild::files::find_requires::monit-5.25.2-alt1:symlinks.req: WARNING: /usr/src/tmp/monit-buildroot/etc/monit.d: directory /etc/monitrc.d not owned by the package
nvidia_glx_common-390.67-alt192.S1/rpmbuild::files::find_requires::nvidia_glx_common-390.67-alt192.S1:symlinks.req: WARNING: /usr/src/tmp/nvidia_glx_common-buildroot/etc/X11/lib_nvidia/current: directory /usr/lib/X11 not owned by the package
