package Logoved::Stream::Out::Listener::Repocop::posttest::multiply_packaged_files;
use Moo;
with 'Logoved::Role::Stream::Out::Listener::Repocop::Test';

sub subscribe_stream {
    my ($class, $stream)=@_;
    return $stream->section_type eq 'rpmbuild::intersect';
}

sub BUILD {
    my ($self)=shift;
    $self->status('info');
    $self->barename('multiply-packaged-files');
}

sub write {
    my ($self, $line)=@_;
    ### warning: file ... is packaged into both ...
    #warning: file /etc/slurm/slurm.key is packaged into both slurm-master and slurm-slave
    if ($line=~m!^warning: file (.+) is packaged into both \S+ and \S+\s*$!) {
	my $multifile=$1;
	push @{$self->messages}, $line unless $multifile=~m!(?:license|eclipse/about_files|readme|notice|release-note)!i;
	return 1;
    }
    return 0;
}

1;
